BeanContextMembershipListener (Java Platform SE 8 )
Keywords: java.beans.beancontext.BeanContextMembershipListener interface
Date: 2016-12-09

java.beans.beancontext

## Interface BeanContextMembershipListener

- All Superinterfaces:
    EventListener

      public interface BeanContextMembershipListener
      extends EventListener

  Compliant BeanContexts fire events on this interface when the state of the membership of the BeanContext changes.

  Since:
    1.2
  See Also:
    `BeanContext`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `childrenAdded(BeanContextMembershipEvent bcme)` Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
    `void` | `childrenRemoved(BeanContextMembershipEvent bcme)` Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.

- - ### Method Detail

    - #### childrenAdded

          void childrenAdded(BeanContextMembershipEvent bcme)

      Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
      Parameters:
        `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

    - #### childrenRemoved

          void childrenRemoved(BeanContextMembershipEvent bcme)

      Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.
      Parameters:
        `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.